Author Topic: I can't start mysql database server from CWP  (Read 713 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
I can't start mysql database server from CWP
« on: August 07, 2021, 04:02:56 AM »
With mysql from terminal I get:

"[root@server720546 ~]# mysql
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 1991
Server version: 10.2.40-MariaDB MariaDB Server"

But from CWP I can't start mysql database server and I get these errors.

I uninstalled mariadb and galera for get mariadb 5.5. I couldn't do it so I put back the 10.2 but now I get this error, how do I fix it? Thanks!


Code: [Select]
● mariadb.service - MariaDB 10.2.40 database server
   Loaded: loaded (/usr/lib/systemd/system/mariadb.service; disabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/mariadb.service.d
           └─migrated-from-my.cnf-settings.conf
   Active: failed (Result: exit-code) since Sat 2021-08-07 03:40:12 UTC; 18min ago
     Docs: man:mysqld(8)
           https://mariadb.com/kb/en/library/systemd/
  Process: 2579 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS --basedir=/usr $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=1/FAILURE)
  Process: 2568 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`cd /usr/bin/..; /usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
  Process: 2566 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
 Main PID: 2579 (code=exited, status=1/FAILURE)
   Status: "MariaDB server is down"

Aug 07 03:40:10 server720546.cloudsons.net mysqld[2579]: 2021-08-07  3:40:10 139638859532480 [ERROR] mysqld: Got error 'Could not get an exclusive lock; file is probably in use by another process' when trying to use aria control file '/var/lib/mysql/aria_log_control'
Aug 07 03:40:10 server720546.cloudsons.net mysqld[2579]: 2021-08-07  3:40:10 139638859532480 [ERROR] Plugin 'Aria' init function returned error.
Aug 07 03:40:10 server720546.cloudsons.net mysqld[2579]: 2021-08-07  3:40:10 139638859532480 [ERROR] Plugin 'Aria' registration as a STORAGE ENGINE failed.
Aug 07 03:40:10 server720546.cloudsons.net mysqld[2579]: 2021-08-07  3:40:10 139638859532480 [Note] Plugin 'FEEDBACK' is disabled.
Aug 07 03:40:10 server720546.cloudsons.net mysqld[2579]: 2021-08-07  3:40:10 139638859532480 [ERROR] Aria engine is not enabled or did not start. The Aria engine must be enabled to continue as mysqld was configured with --with-aria-tmp-tables
Aug 07 03:40:10 server720546.cloudsons.net mysqld[2579]: 2021-08-07  3:40:10 139638859532480 [ERROR] Aborting
Aug 07 03:40:12 server720546.cloudsons.net systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
Aug 07 03:40:12 server720546.cloudsons.net systemd[1]: Failed to start MariaDB 10.2.40 database server.
Aug 07 03:40:12 server720546.cloudsons.net systemd[1]: Unit mariadb.service entered failed state.
Aug 07 03:40:12 server720546.cloudsons.net systemd[1]: mariadb.service failed.

Offline
*
Re: I can't start mysql database server from CWP
« Reply #1 on: August 08, 2021, 08:27:11 PM »
I've been having the same problem for a while. Everything works normally but cwp can't start mysql.

Note: When you kill all mysql process from terminal fixes this problem but after a while it breaks again
« Last Edit: August 08, 2021, 08:29:15 PM by gokayeren »